#!/usr/bin/perl


#
# This CGI script is run each time an ad banner
# is clicked on, which isn't very often.
#
# Notes:
#	- inputs are read in a comma-delimited $ENV{'QUERY_STRING'} 
#	- 'url' CGI input to redirects drop-list style HTML ads
#	- optional third QUERY_STRING field to track clicks on parts of HTML ads
#
#
# Modified:  Kurt -- Fri Aug 27 12:02:26 EDT 1999



	$datfilepath = '.';		# Path where ad_info.dat file is 



# Read inputs from QUERY_STRING and/or CGI

	($pagename, $adid, $redirecturl) = split(',', $ENV{'QUERY_STRING'});
	$pagename = substr($pagename, 0, 40) if $pagename;
        $adid = substr($adid, 0, 20) if $adid;


# Read CGI inputs from ad if ad uses droplist-style navigation

#	use FormParse;
#	$form = new FormParse;
#	$form->Parse;



# Determine add ad target depending on input

	if ($redirecturl) {

		$url = $redirecturl;

	} elsif ($form->{'in'}->{'url'}) {

		$url = $form->{'in'}->{'url'};

	} else {

		if ($adid) {
			if (open(ADINFO, "< $datfilepath/ad_info.dat")) {
				while (<ADINFO>) {
					if ($_ =~ /^$adid\s/) {
						$found++;
						($currentid,$height,$width,$url) = split(/\t/,$_);
						last;
					}
				}
				close ADINFO;
			} else {
				$errors .= "<BR><B>Can't read $datfilepath/ad_info.dat table: $!</B><BR>";
			}
		} else {
			$errors .= "<BR><B>No ad ID was specified in the input to $0.</B><BR>";
		}

	}


# Redirect browser to target URL

	if ($url) {

		print "Location: $url\n\n";

	} else {

		print "Content-type: text/html\n\n";
		print <<ERROR_PAGE;
<HTML>
<BODY>

<H3>Error redirecting to ad target:</H3>

$0 can not determine the target URL of the ad you clicked on ($adid). $found $url
<BR>
$errors
<BR>
<BR> 
Please notify us so we can straighten this out.  Thanks.
<BR>
<BR>
<A HREF="/">Click here</A> to get back to the home page.

</BODY>
</HTML>

ERROR_PAGE


	}

__END__
