#!/usr/bin/perl

use FormParse;
require 'ad_config_lib.pl' || die $!;

#
# Central login interface for ad system backend
#
# Modified: 	Kurt -- Thu Jun  1 15:05:14 EDT 2000


# Set host dependant variables

	$sitename = $ENV{'SERVER_NAME'};	# Hard-code this if your cookie won't work. Example: $sitename = 'www.mywebsite.com';
	$number_of_ads = @positions_list;	# Number of ad positions to show allocation buttons for

# Read CGI inputs

        $form = new FormParse;
        $form->Parse; 

	$password = $1 if $form->{'in'}->{'Password'} =~ /(\w{2,8})/;

	if ($ENV{'HTTP_COOKIE'} =~ /adpass=(\w{2,8})/) {
    		$password ||= $1;
	}



# Check password input

if (($force_login eq 'Y') && ($password ne $adpasswd)) {
    
	$reminder = 'HINT: Try editing /cgi-bin/ad_config_lib.pl and changing $adpasswd' if $adpasswd eq 'CHANGETHIS';

    print "Content-type: text/html\n\n";
    
    print <<LOGIN_PAGE;
    <HTML>
    <BODY>
    <BLOCKQUOTE>
    <FONT FACE=ARIAL,HELVETICA SIZE=2>
    <FORM METHOD="POST" ACTION="$mainmenu">
    Login: <INPUT TYPE="PASSWORD" NAME="Password" SIZE="8">
    </FORM>
    $reminder
    </FONT>
    </BLOCKQUOTE>
    </BODY>
    </HTML>

LOGIN_PAGE
    exit;

}  # endif password



# Option to earse password cookie


if ($ENV{'QUERY_STRING'} eq 'logout') {

    print 'Set-Cookie: adpass=loggedout; domain=' . $sitename . '; path=/cgi-bin/' . "\n";
    
    print "Content-type: text/html\n\n";
    print <<LOGOUT_PAGE;
    
    <HTML>
    <BODY>
    <BLOCKQUOTE>
    <FONT FACE=ARIAL,HELVETICA SIZE=2>
    You are now logged-out of the ad system 
    <P>
    <A HREF="$mainmenu">Click here</A> to login.
    </FONT>
    </BLOCKQUOTE>
    </BODY>
    </HTML>

LOGOUT_PAGE

    exit;
    
} # if logout



# If password OK, set the cookie here before displaying main menu

print 'Set-Cookie: adpass=' . $password . '; domain=' . $sitename . '; path=/cgi-bin/' . "\n";
print "Content-type: text/html\n\n";

	print <<TOP_OF_PAGE;

    <HTML>
    <HEAD><TITLE>mod_adbanners Control System : mainmenu</TITLE></HEAD>
    <BODY BGCOLOR="#DDFFFF">
        <FONT FACE="ARIAL,HELVETICA" SIZE=4 COLOR=RED>
        <B><I>mod_adbanners Control System v$mod_date</I></B></FONT>
        <BLOCKQUOTE>

TOP_OF_PAGE
;


# Make link table for ad allocations on each site


$allocation_links =<<TABLE_TOP;

<TABLE WIDTH=620 BORDER=1 BGCOLOR=WHITE CELLPADDING=4 CELLSPACING=0>
<TH BGCOLOR=#FFFFDD COLSPAN=7 ALIGN=LEFT><FONT FACE=ARIAL,HELVETICA SIZE=4>Adjust Ad Allocations:</FONT></TH>
<TR BGCOLOR=#DDDDBB>
<TD><FONT FACE=\"ARIAL,HELVETICA\"><B>Site:</B></FONT></TD>
<TD><FONT FACE=\"ARIAL,HELVETICA\"><B>Large Ad</B></FONT></TD>
<TD><FONT FACE=\"ARIAL,HELVETICA\"><B>Display Ad</B></FONT></TD>
<TD><FONT FACE=\"ARIAL,HELVETICA\"><B>Small Ad</B></FONT></TD>
<TD><FONT FACE=\"ARIAL,HELVETICA\"><B>Tombstone</B></FONT></TD>
<TD><FONT FACE=\"ARIAL,HELVETICA\"><B>Bottom Ad</B></FONT></TD>
<TD><FONT FACE=\"ARIAL,HELVETICA\"><B>Reserved</B></FONT></TD>
</TR>
TABLE_TOP
    ;

    
    $allocation_links .= "<TR><TD><FONT FACE=\"ARIAL,HELVETICA\"><B>$sitename</B></FONT></TD>";

    for $i (1..$number_of_ads) {
	
	$skip = '';
	$ad_position = '';
	
	if ($i == 1) {	    
	    
	    $adtype = 'Large Ad';
	    
	} elsif ($i == 2) {
	    
	    $adtype = 'Display Ad';
	    
	} elsif ($i == 3) {

	    $adtype = 'Small Ad';		     
	    
	} elsif ($i == 4) {

	    $adtype = 'Tombstone';
	    
	} else {

	    $adtype = 'Bottom Ad';
	    
	} # if i

	if ($skip) {
	    
	    $allocation_links .= "<TD ALIGN=CENTER><FONT FACE=\"ARIAL,HELVETICA\">.</FONT></TD>";	      
	    
	} else {
	    
	    $ad_position ||= $i;
	      
	$allocation_links .=<<ALLOC_BUTTON;
		<TD><FORM METHOD=POST ACTION="/cgi-bin/ad_allocedit.cgi\?$ad_position">
		<INPUT TYPE=HIDDEN NAME=Password VALUE\=$password>
		<FONT FACE=\"ARIAL,HELVETICA\" SIZE=2><INPUT TYPE=SUBMIT NAME=GoButton VALUE="$adtype"></FONT></FORM></TD>
ALLOC_BUTTON
    ;
	} # if skip

    }  # for (1..5)    
    

    # Reserved pages button (column 6)
    	
     $allocation_links .=<<ALLOC_BUTTON;
	<TD><FORM METHOD=POST ACTION="/cgi-bin/ad_reservationsedit.cgi">
	<INPUT TYPE=HIDDEN NAME=Password VALUE\=$password>
	<FONT FACE=\"ARIAL,HELVETICA\" SIZE=2><INPUT TYPE=SUBMIT NAME=GoButton VALUE="Reserved Pages"></FONT></FORM></TD>
ALLOC_BUTTON
    ;

    
    $allocation_links .= "</TR>\n";
   

$allocation_links .= "</TABLE>";

# Print main menu page	

print <<MAIN_MENU;

$allocation_links

<P>

<FORM METHOD=POST ACTION="$mainmenu?logout">
<FONT FACE=\"ARIAL,HELVETICA\" SIZE=2><INPUT TYPE=SUBMIT VALUE="Logout (Erase Password Cookie)"></FONT>
</FORM>	


</BLOCKQUOTE>
</BODY>
</HTML>

MAIN_MENU



if ($debugit == 1) {
   foreach $key (keys %ENV) {
	print "$key = " . $ENV{$key} . "<BR>\n";
	}
}


__END__
